% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/derive_var_ady.R
\name{derive_var_ady}
\alias{derive_var_ady}
\title{Derive Analysis Study Day}
\usage{
derive_var_ady(dataset, reference_date = TRTSDT, date = ADT)
}
\arguments{
\item{dataset}{Input dataset

The columns specified by the \code{reference_date} and the \code{date} parameter are
expected.}

\item{reference_date}{The start date column, e.g., date of first treatment

A date or date-time object column is expected.

Refer to \code{derive_vars_dt()} to impute and derive a date from a date character vector to a date object.

The default is \code{TRTSDT}.}

\item{date}{The end date column for which the study day should be derived

A date or date-time object column is expected.

Refer to \code{derive_vars_dt()} to impute and derive a date from a date character vector to a date object.

The default is \code{ADT}}
}
\value{
The input dataset with \code{ADY} column added
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#deprecated}{\figure{lifecycle-deprecated.svg}{options: alt='[Deprecated]'}}}{\strong{[Deprecated]}}

This function is \emph{deprecated}, please use \code{derive_vars_dy()} instead.

Adds the analysis study day (\code{ADY}) to the dataset, i.e., study day of analysis date.
}
\details{
The study day is derived as number of days from the start date
to the end date. If it is non-negative, one is added. I.e., the study day of the
start date is 1.
}
\author{
Stefan Bundfuss
}
\keyword{deprecated}
